#Techo solar

**Miembros del grup**: Alejandro Escobar, Luis Pares

## Objectivos:
Realizar una pcb que nos permita controlar los motores del techo solar y unos leds rgb a partir de una botonera,
los leds rgb tendran dos modos, modo ambiental y modo sensor de sonido.


## Requisitos / Especificaciones
**1-** Incorporar un motor para el cristal con su final de carrera.
**2-** Incorporar un motor por la cortinilla con su final de carrera.
**3-** Incorporar unas luces ambientales (LED RGB con bus digital) y un sensor de sonido para los leds
**4-** Incorporar un mecanismo anti-atrapamiento (sensor digital de corriente o sensor hall).

## Diagrama de bloques
![Diagrama](Projecte_Sostre_solar.jpg)

## Componentes
| Ref. | Descripcion| Datasheet |
| ------ | -----------------| ------------------|
| PIC18F258| Microntrolador | [datasheet](https://pdf1.alldatasheet.com/datasheet-pdf/view/85678/MICROCHIP/PIC18F258.html)|
| L7805CV| Regulador de tension | [datasheet](https://pdf1.alldatasheet.com/datasheet-pdf/view/22634/STMICROELECTRONICS/L7805CV.html)|
| TMCS1108A4BQDT| Sensor digital de corriente | [datasheet](https://pdf1.alldatasheet.com/datasheet-pdf/view/1284173/TI/TMCS1108A4BQDT.html)|
| TJA1050| Transceiver | [datasheet](https://pdf1.alldatasheet.com/datasheet-pdf/view/19755/PHILIPS/TJA1050.html)|
| L298N| Driver de los motores | [datasheet](https://pdf1.alldatasheet.com/datasheet-pdf/view/22440/STMICROELECTRONICS/L298N.html)|

## Pines microcontrolador
| Num. pin | Pin | Que conectamos |
| ------ | -----------------| ------------------|
| **1**    | MCLR | Reset|                  
| **2**    | AN0 | Fi carrera|           
| **3**    | AN1 | Sensor so |                  
| **4**    | AN2 | Botons |                  
| **5**    | AN3 | Ampli/senso de corrent|                  
| **6**    | RA4 | LED de verificacio|                  
| **7**    | SS | SPI|                 
| **8**    | VSS | GND|                  
| **9**    | OSC1 | XTAL|                  
| **10**    | OSC2 | XTAL|                 
| **11**    | RC0 | Driver|               
| **12**    | RC1 | Driver|                     
| **13**    | PWM | x |                     
| **14**    | SCK | BUS SPI|                  
| **15**    | SDI | BUS SPI|                 
| **16**    | SDO | BUS SPI|                  
| **17**    | RX | USART|                 
| **18**    | TX | USART|                  
| **19**    | VSS | GND|                  
| **20**    | VDD | 5V|
| **21**    | RB0 | Driver|
| **22**    | RB1 | Driver|
| **23**    | CAN RX | BUS CAN|
| **24**    | CAN TX | BUS CAN|
| **25**    | RB4 | Driver|
| **26**    | RB5 | Driver|
| **27**    | PGC | Programar micro|
| **28**    | PGD | Programar micro|



## Historial de cambios
| Data               | Autor     | Descripcion               |
| -------------------- | ------------ | ------------------------------------------------------------------------------------------ |
| 22/03/2023 | Luis Pares | Primera version diagrama de bloques y seleccion de componentes. |
| 24/03/2023 | Luis Pares  | Cambio en los links de los datasheets y añadir pines microcontrolador. |
| 25/03/2023 | Alejandro Escobar | Cambio en el diagrama de blocs. |
| 25/03/2023 | Luis Pares | Primer esquematico añadido con sus componentes . |
| 27/03/2023 | Alejandro Escobar | Cambio tabla de pines. |
| 27/03/2023 | Luis Pares| Cambio esquematico, conexiones de cables, poner mas conectores y texto. |
| 27/03/2023 | Luis Pares, Alejandro Escobar| Cambio esquematico,posicion de componentes. Cambio en power point, añadir diapositivas. |
| 28/03/2023 | Alejandro Escobar | Cambio en el diagrama de blocs. |
| 07/04/2023 | Alejandro Escobar | Cambio en el esquematico. |
| 09/04/2023 | Alejandro Escobar | Detalles en el esquematico y primer Layout. |
| 10/04/2023 | Alejandro Escobar | Correcciones Layout. |
| 12/04/2023 | Alejandro Escobar, Luis Pares | Version 3 del Layout. |
| 17/04/2023 | Alejandro Escobar, Luis Pares | Version 4 del Layout. |
| 17/04/2023 | Luis Pares, Alejandro Escobar| Version 5 del Layout. |
| 17/04/2023 | Luis Pares, Alejandro Escobar| Version 6 del Layout. |
| 19/04/2023 | Luis Pares, Alejandro Escobar| Version 7 del Layout. |
| 23/04/2023 | Luis Pares, Alejandro Escobar| Cambio en componente, LD1086V50 por L7805CV. |
| 23/04/2023 | Alejandro Escobar, Luis Pares| Cambio en componente, TMCS1100A4QDT por TMCS1108A4BQDT. |
| 24/04/2023 | Alejandro Escobar,Luis Pares | BOM final |
| 25/04/2023 | Alejandro Escobar | Correcciones diagrama de blocs, powerpoint. |
| 26/04/2023 | Alejandro Escobar | Version 8 del Layout |